import time

from selenium.webdriver.common.by import By

from kuangjia.Base.BasePage import BasePage
from kuangjia.common.untils import DriverTools
from kuangjia.paga.CodePage import Code
from kuangjia.paga.CreatePage import Create
from kuangjia.paga.LoginPage import Login
from kuangjia.paga.GivePage import Give


class Del(BasePage):
    def __init__(self):
        super().__init__('web')
        # 点击返回按钮
        self.reader_fan = (By.XPATH, "/html/body/div[1]/div/section/div[1]/div[1]/div[1]/button/span")
        # 点击书刊管理按钮
        self.reader_return = (By.XPATH, "/html/body/div[1]/div/div/div[2]/ul/li[2]/ul/li[2]")
        # 定位书刊搜索
        self.reader_content = (By.ID, "name")
        # 点击查询按钮
        self.reader_query = (By.XPATH, "//div[@class='btn-item']//button[@class='ant-btn ant-btn-primary "
                                       "ant-btn-background-ghost']//span")
        # 点击更多按钮
        self.reader_more = (By.XPATH, "//div[@class='book-item-list']//div[1]//div[3]//div[1]//span[1]//label["
                                      "1]//button[1]//span[1]")
        # 点击删除
        self.reader_delete = (By.XPATH, "//div[@class='book-item-list']//div[1]//div[3]//div[1]//span[1]//ul[1]//li["
                                        "4]//div[1]")
        # 二次确认
        self.reader_confirm = (By.XPATH, "//button[@class='ant-btn ant-btn-primary']//span")

    def delete(self):
        self.find_ele(self.reader_fan).click()
        time.sleep(1)
        self.find_ele(self.reader_return).click()
        time.sleep(1)
        self.find_ele(self.reader_content).send_keys("UI自动化书刊")
        time.sleep(1)
        self.find_ele(self.reader_query).click()
        time.sleep(1)
        self.find_ele(self.reader_more).click()
        time.sleep(1)
        self.find_ele(self.reader_delete).click()
        time.sleep(1)
        self.find_ele(self.reader_confirm).click()



